<%@ page language="C#" masterpagefile="~/users.master" autoeventwireup="true" inherits="UsersEdit, App_Web_1tnldnmj" title="Users Editing" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

	<asp:HiddenField ID="hdnUserID" runat="server" />
	<asp:HiddenField ID="hdnSelectedRowIndex" runat="server" />
<br />
<table align="center" class="outborder" ><tr><td align="center" class="title" runat="server" id="tdOrders">Users</td></tr>
<tr><td>
	<asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
		AutoGenerateColumns="False" DataSourceID="SqlDataSource1"
		Width="609px" OnRowCommand="GridView1_RowCommand" BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" CellPadding="3" OnDataBound="GridView1_DataBound">
		<Columns >
			<asp:TemplateField HeaderText="UserID" InsertVisible="False" SortExpression="UserID">
				<EditItemTemplate>
					<asp:Label ID="Label1" runat="server" Text='<%# Eval("UserID") %>'></asp:Label>
				</EditItemTemplate>
				<ItemStyle HorizontalAlign="Center" />
				<ItemTemplate>
					<asp:LinkButton ID="lnkBtnUserID" runat="server" Text='<%# Bind("UserID") %>'></asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderText="Username" SortExpression="Username">
				<EditItemTemplate>
					<asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Username") %>'></asp:TextBox>
				</EditItemTemplate>
				<ItemTemplate>
					<asp:LinkButton ID="Label2" runat="server" Text='<%# Bind("Username") %>'></asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderText="Email" SortExpression="Email">
				<EditItemTemplate>
					<asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Email") %>'></asp:TextBox>
				</EditItemTemplate>
				<ItemTemplate>
					<asp:LinkButton ID="Label3" runat="server" Text='<%# Bind("Email") %>'></asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderText="State" SortExpression="State">
				<EditItemTemplate>
					<asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("State") %>'></asp:TextBox>
				</EditItemTemplate>
				<ItemTemplate>
					<asp:LinkButton ID="Label4" runat="server" Text='<%# Bind("State") %>'></asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderText="Country" SortExpression="Country">
				<EditItemTemplate>
					<asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("Country") %>'></asp:TextBox>
				</EditItemTemplate>
				<ItemTemplate>
					<asp:LinkButton ID="Label5" runat="server" Text='<%# Bind("Country") %>'></asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>
		</Columns>
		<PagerStyle CssClass="textboxheader" BackColor="White" ForeColor="#000066" HorizontalAlign="Left" />
		<HeaderStyle CssClass="title"  />
		<FooterStyle BackColor="White" ForeColor="#000066" />
		<SelectedRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" />
	</asp:GridView>
	
</td></tr></table>
	<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString3 %>"
		DeleteCommand="DELETE FROM [Users] WHERE [UserID] = ?" InsertCommand="INSERT INTO [Users] ([UserID], [PKID], [Username], [ApplicationName], [Email], [Comment], [Password], [PasswordQuestion], [PasswordAnswer], [IsApproved], [LastActivityDate], [LastLoginDate], [LastPasswordChangedDate], [CreationDate], [IsOnLine], [IsLockedOut], [LastLockedOutDate], [FailedPasswordAttemptCount], [FailedPasswordAttemptWindowStart], [FailedPasswordAnswerAttemptCount], [FailedPasswordAnswerAttemptWindowStart], [FirstName], [LastName], [Address], [Address2], [City], [Zip], [Phone], [State], [Country]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"
		ProviderName="<%$ ConnectionStrings:ConnectionString3.ProviderName %>" SelectCommand="SELECT UserID, PKID, Username, ApplicationName, Email, Comment, Password, PasswordQuestion, PasswordAnswer, IsApproved, LastActivityDate, LastLoginDate, LastPasswordChangedDate, CreationDate, IsOnLine, IsLockedOut, LastLockedOutDate, FailedPasswordAttemptCount, FailedPasswordAttemptWindowStart, FailedPasswordAnswerAttemptCount, FailedPasswordAnswerAttemptWindowStart, FirstName, LastName, Address, Address2, City, Zip, Phone, State, Country FROM Users ORDER BY UserID DESC"
		UpdateCommand="UPDATE [Users] SET [PKID] = ?, [Username] = ?, [ApplicationName] = ?, [Email] = ?, [Comment] = ?, [Password] = ?, [PasswordQuestion] = ?, [PasswordAnswer] = ?, [IsApproved] = ?, [LastActivityDate] = ?, [LastLoginDate] = ?, [LastPasswordChangedDate] = ?, [CreationDate] = ?, [IsOnLine] = ?, [IsLockedOut] = ?, [LastLockedOutDate] = ?, [FailedPasswordAttemptCount] = ?, [FailedPasswordAttemptWindowStart] = ?, [FailedPasswordAnswerAttemptCount] = ?, [FailedPasswordAnswerAttemptWindowStart] = ?, [FirstName] = ?, [LastName] = ?, [Address] = ?, [Address2] = ?, [City] = ?, [Zip] = ?, [Phone] = ?, [State] = ?, [Country] = ? WHERE [UserID] = ?">
		<DeleteParameters>
			<asp:Parameter Name="UserID" Type="Int32" />
		</DeleteParameters>
		<UpdateParameters>
			<asp:Parameter Name="PKID" Type="Object" />
			<asp:Parameter Name="Username" Type="String" />
			<asp:Parameter Name="ApplicationName" Type="String" />
			<asp:Parameter Name="Email" Type="String" />
			<asp:Parameter Name="Comment" Type="String" />
			<asp:Parameter Name="Password" Type="String" />
			<asp:Parameter Name="PasswordQuestion" Type="String" />
			<asp:Parameter Name="PasswordAnswer" Type="String" />
			<asp:Parameter Name="IsApproved" Type="Boolean" />
			<asp:Parameter Name="LastActivityDate" Type="DateTime" />
			<asp:Parameter Name="LastLoginDate" Type="DateTime" />
			<asp:Parameter Name="LastPasswordChangedDate" Type="DateTime" />
			<asp:Parameter Name="CreationDate" Type="DateTime" />
			<asp:Parameter Name="IsOnLine" Type="Boolean" />
			<asp:Parameter Name="IsLockedOut" Type="Boolean" />
			<asp:Parameter Name="LastLockedOutDate" Type="DateTime" />
			<asp:Parameter Name="FailedPasswordAttemptCount" Type="Int32" />
			<asp:Parameter Name="FailedPasswordAttemptWindowStart" Type="DateTime" />
			<asp:Parameter Name="FailedPasswordAnswerAttemptCount" Type="Int32" />
			<asp:Parameter Name="FailedPasswordAnswerAttemptWindowStart" Type="DateTime" />
			<asp:Parameter Name="FirstName" Type="String" />
			<asp:Parameter Name="LastName" Type="String" />
			<asp:Parameter Name="Address" Type="String" />
			<asp:Parameter Name="Address2" Type="String" />
			<asp:Parameter Name="City" Type="String" />
			<asp:Parameter Name="Zip" Type="String" />
			<asp:Parameter Name="Phone" Type="String" />
			<asp:Parameter Name="State" Type="String" />
			<asp:Parameter Name="Country" Type="String" />
			<asp:Parameter Name="UserID" Type="Int32" />
		</UpdateParameters>
		<InsertParameters>
			<asp:Parameter Name="UserID" Type="Int32" />
			<asp:Parameter Name="PKID" Type="Object" />
			<asp:Parameter Name="Username" Type="String" />
			<asp:Parameter Name="ApplicationName" Type="String" />
			<asp:Parameter Name="Email" Type="String" />
			<asp:Parameter Name="Comment" Type="String" />
			<asp:Parameter Name="Password" Type="String" />
			<asp:Parameter Name="PasswordQuestion" Type="String" />
			<asp:Parameter Name="PasswordAnswer" Type="String" />
			<asp:Parameter Name="IsApproved" Type="Boolean" />
			<asp:Parameter Name="LastActivityDate" Type="DateTime" />
			<asp:Parameter Name="LastLoginDate" Type="DateTime" />
			<asp:Parameter Name="LastPasswordChangedDate" Type="DateTime" />
			<asp:Parameter Name="CreationDate" Type="DateTime" />
			<asp:Parameter Name="IsOnLine" Type="Boolean" />
			<asp:Parameter Name="IsLockedOut" Type="Boolean" />
			<asp:Parameter Name="LastLockedOutDate" Type="DateTime" />
			<asp:Parameter Name="FailedPasswordAttemptCount" Type="Int32" />
			<asp:Parameter Name="FailedPasswordAttemptWindowStart" Type="DateTime" />
			<asp:Parameter Name="FailedPasswordAnswerAttemptCount" Type="Int32" />
			<asp:Parameter Name="FailedPasswordAnswerAttemptWindowStart" Type="DateTime" />
			<asp:Parameter Name="FirstName" Type="String" />
			<asp:Parameter Name="LastName" Type="String" />
			<asp:Parameter Name="Address" Type="String" />
			<asp:Parameter Name="Address2" Type="String" />
			<asp:Parameter Name="City" Type="String" />
			<asp:Parameter Name="Zip" Type="String" />
			<asp:Parameter Name="Phone" Type="String" />
			<asp:Parameter Name="State" Type="String" />
			<asp:Parameter Name="Country" Type="String" />
		</InsertParameters>
	</asp:SqlDataSource>
	<br />
<table align=center class=outborder ><tr><td align=center class=title runat=server id="td1">User Details</td></tr>
<tr><td>
	<asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" DataKeyNames="UserID"
		DataSourceID="SqlDataSource2" Height="50px" Width="471px" BackColor="White" BorderColor="#CCCCCC" BorderStyle="None" BorderWidth="1px" CellPadding="3">
		<Fields>
			<asp:BoundField DataField="UserID" HeaderText="UserID" InsertVisible="False" ReadOnly="True"
				SortExpression="UserID" />
			<asp:BoundField DataField="Username" HeaderText="Username" SortExpression="Username" />
			<asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
			<asp:BoundField DataField="CreationDate" HeaderText="CreationDate" SortExpression="CreationDate" />
			<asp:BoundField DataField="FirstName" HeaderText="FirstName" SortExpression="FirstName" />
			<asp:BoundField DataField="LastName" HeaderText="LastName" SortExpression="LastName" />
			<asp:BoundField DataField="Address" HeaderText="Address" SortExpression="Address" />
			<asp:BoundField DataField="Address2" HeaderText="Address2" SortExpression="Address2" />
			<asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
			<asp:BoundField DataField="Zip" HeaderText="Zip" SortExpression="Zip" />
			<asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" />
			<asp:BoundField DataField="State" HeaderText="State" SortExpression="State" />
			<asp:BoundField DataField="Country" HeaderText="Country" SortExpression="Country" />
		</Fields>
		<FooterStyle BackColor="White" ForeColor="#000066" />
		<EditRowStyle BackColor="#669999" Font-Bold="True" ForeColor="White" />
		<RowStyle ForeColor="#000066" />
		<PagerStyle BackColor="White" ForeColor="#000066" HorizontalAlign="Left" />
		<HeaderStyle CssClass="title" />
	</asp:DetailsView>
</td></tr></table>
	<asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString3 %>"
		DeleteCommand="DELETE FROM [Users] WHERE [UserID] = ?" InsertCommand="INSERT INTO [Users] ([UserID], [PKID], [Username], [ApplicationName], [Email], [Comment], [Password], [PasswordQuestion], [PasswordAnswer], [IsApproved], [LastActivityDate], [LastLoginDate], [LastPasswordChangedDate], [CreationDate], [IsOnLine], [IsLockedOut], [LastLockedOutDate], [FailedPasswordAttemptCount], [FailedPasswordAttemptWindowStart], [FailedPasswordAnswerAttemptCount], [FailedPasswordAnswerAttemptWindowStart], [FirstName], [LastName], [Address], [Address2], [City], [Zip], [Phone], [State], [Country]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"
		ProviderName="<%$ ConnectionStrings:ConnectionString3.ProviderName %>" SelectCommand="SELECT * FROM [Users] WHERE ([UserID] = ?)"
		UpdateCommand="UPDATE [Users] SET [PKID] = ?, [Username] = ?, [ApplicationName] = ?, [Email] = ?, [Comment] = ?, [Password] = ?, [PasswordQuestion] = ?, [PasswordAnswer] = ?, [IsApproved] = ?, [LastActivityDate] = ?, [LastLoginDate] = ?, [LastPasswordChangedDate] = ?, [CreationDate] = ?, [IsOnLine] = ?, [IsLockedOut] = ?, [LastLockedOutDate] = ?, [FailedPasswordAttemptCount] = ?, [FailedPasswordAttemptWindowStart] = ?, [FailedPasswordAnswerAttemptCount] = ?, [FailedPasswordAnswerAttemptWindowStart] = ?, [FirstName] = ?, [LastName] = ?, [Address] = ?, [Address2] = ?, [City] = ?, [Zip] = ?, [Phone] = ?, [State] = ?, [Country] = ? WHERE [UserID] = ?">
		<DeleteParameters>
			<asp:Parameter Name="UserID" Type="Int32" />
		</DeleteParameters>
		<UpdateParameters>
			<asp:Parameter Name="PKID" Type="Object" />
			<asp:Parameter Name="Username" Type="String" />
			<asp:Parameter Name="ApplicationName" Type="String" />
			<asp:Parameter Name="Email" Type="String" />
			<asp:Parameter Name="Comment" Type="String" />
			<asp:Parameter Name="Password" Type="String" />
			<asp:Parameter Name="PasswordQuestion" Type="String" />
			<asp:Parameter Name="PasswordAnswer" Type="String" />
			<asp:Parameter Name="IsApproved" Type="Boolean" />
			<asp:Parameter Name="LastActivityDate" Type="DateTime" />
			<asp:Parameter Name="LastLoginDate" Type="DateTime" />
			<asp:Parameter Name="LastPasswordChangedDate" Type="DateTime" />
			<asp:Parameter Name="CreationDate" Type="DateTime" />
			<asp:Parameter Name="IsOnLine" Type="Boolean" />
			<asp:Parameter Name="IsLockedOut" Type="Boolean" />
			<asp:Parameter Name="LastLockedOutDate" Type="DateTime" />
			<asp:Parameter Name="FailedPasswordAttemptCount" Type="Int32" />
			<asp:Parameter Name="FailedPasswordAttemptWindowStart" Type="DateTime" />
			<asp:Parameter Name="FailedPasswordAnswerAttemptCount" Type="Int32" />
			<asp:Parameter Name="FailedPasswordAnswerAttemptWindowStart" Type="DateTime" />
			<asp:Parameter Name="FirstName" Type="String" />
			<asp:Parameter Name="LastName" Type="String" />
			<asp:Parameter Name="Address" Type="String" />
			<asp:Parameter Name="Address2" Type="String" />
			<asp:Parameter Name="City" Type="String" />
			<asp:Parameter Name="Zip" Type="String" />
			<asp:Parameter Name="Phone" Type="String" />
			<asp:Parameter Name="State" Type="String" />
			<asp:Parameter Name="Country" Type="String" />
			<asp:Parameter Name="UserID" Type="Int32" />
		</UpdateParameters>
		<InsertParameters>
			<asp:Parameter Name="UserID" Type="Int32" />
			<asp:Parameter Name="PKID" Type="Object" />
			<asp:Parameter Name="Username" Type="String" />
			<asp:Parameter Name="ApplicationName" Type="String" />
			<asp:Parameter Name="Email" Type="String" />
			<asp:Parameter Name="Comment" Type="String" />
			<asp:Parameter Name="Password" Type="String" />
			<asp:Parameter Name="PasswordQuestion" Type="String" />
			<asp:Parameter Name="PasswordAnswer" Type="String" />
			<asp:Parameter Name="IsApproved" Type="Boolean" />
			<asp:Parameter Name="LastActivityDate" Type="DateTime" />
			<asp:Parameter Name="LastLoginDate" Type="DateTime" />
			<asp:Parameter Name="LastPasswordChangedDate" Type="DateTime" />
			<asp:Parameter Name="CreationDate" Type="DateTime" />
			<asp:Parameter Name="IsOnLine" Type="Boolean" />
			<asp:Parameter Name="IsLockedOut" Type="Boolean" />
			<asp:Parameter Name="LastLockedOutDate" Type="DateTime" />
			<asp:Parameter Name="FailedPasswordAttemptCount" Type="Int32" />
			<asp:Parameter Name="FailedPasswordAttemptWindowStart" Type="DateTime" />
			<asp:Parameter Name="FailedPasswordAnswerAttemptCount" Type="Int32" />
			<asp:Parameter Name="FailedPasswordAnswerAttemptWindowStart" Type="DateTime" />
			<asp:Parameter Name="FirstName" Type="String" />
			<asp:Parameter Name="LastName" Type="String" />
			<asp:Parameter Name="Address" Type="String" />
			<asp:Parameter Name="Address2" Type="String" />
			<asp:Parameter Name="City" Type="String" />
			<asp:Parameter Name="Zip" Type="String" />
			<asp:Parameter Name="Phone" Type="String" />
			<asp:Parameter Name="State" Type="String" />
			<asp:Parameter Name="Country" Type="String" />
		</InsertParameters>
		<SelectParameters>
			<asp:ControlParameter ControlID="hdnUserID" Name="UserID" PropertyName="Value" Type="Int32" />
		</SelectParameters>
	</asp:SqlDataSource>
	&nbsp;&nbsp;
</asp:Content>

